Security Enhanced Linux Reference Policy

# Layer: services

## Module: samba

Tunables Interfaces

### Description:

SMB and CIFS client/server programs.

### Tunables:

allow_smbd_anon_write

##### Default value

false

##### Description

Determine whether samba can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

samba_create_home_dirs

##### Default value

false

##### Description

Determine whether samba can create home directories via pam.

samba_domain_controller

##### Default value

false

##### Description

Determine whether samba can act as the domain controller, add users, groups and change passwords.

samba_enable_home_dirs

##### Default value

false

##### Description

Determine whether samba can share users home directories.

samba_export_all_ro

##### Default value

false

##### Description

Determine whether samba can share any content read only.

samba_export_all_rw

##### Default value

false

##### Description

Determine whether samba can share any content readable and writable.

samba_portmapper

##### Default value

false

##### Description

Determine whether samba can act as a portmapper.

samba_read_shadow

##### Default value

false

##### Description

Determine whether smbd_t can read shadow files.

samba_run_unconfined

##### Default value

false

##### Description

Determine whether samba can run unconfined scripts.

samba_share_fusefs

##### Default value

false

##### Description

Determine whether samba can use fuse file systems.

samba_share_nfs

##### Default value

false

##### Description

Determine whether samba can use nfs file systems.

Return

### Interfaces:

samba_admin( domain , role )

##### Summary

All of the rules required to administrate an samba environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

samba_append_log( domain )

##### Summary

Append to samba log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_domtrans_net( domain )

##### Summary

Execute samba net in the samba net domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_domtrans_nmbd( domain )

##### Summary

Execute nmbd in the nmbd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_domtrans_smbcontrol( domain )

##### Summary

Execute smbcontrol in the smbcontrol domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_domtrans_smbd( domain )

##### Summary

Execute smbd in the smbd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_domtrans_smbmount( domain )

##### Summary

Execute smbmount in the smbmount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_domtrans_winbind_helper( domain )

##### Summary

Execute winbind helper in the winbind helper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit and use smbd file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

samba_dontaudit_write_var_files( domain )

##### Summary

Do not audit attempts to write samba var files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

samba_exec_log( domain )

##### Summary

Execute samba log files in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_getattr_winbind_exec( domain )

##### Summary

Get attributes of winbind executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_initrc_domtrans( domain )

##### Summary

Execute samba init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samba_manage_config( domain )

##### Summary

Create, read, write, and delete samba configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_manage_var_files( domain )

##### Summary

Create, read, write, and delete samba var files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_config( domain )

##### Summary

Read samba configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_log( domain )

##### Summary

Read samba log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_secrets( domain )

##### Summary

Read samba secret files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_share_files( domain )

##### Summary

Read samba share files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_var_files( domain )

##### Summary

Read samba var files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_read_winbind_pid( domain )

##### Summary

Read winbind pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_restart( domain )

##### Summary

Restart and get status of samba daemon

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_run_net( domain , role )

##### Summary

Execute samba net in the samba net domain, and allow the specified role the samba net domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

samba_run_smbcontrol( domain , role )

##### Summary

Execute smbcontrol in the smbcontrol domain, and allow the specified role the smbcontrol domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

samba_run_smbmount( domain , role )

##### Summary

Execute smbmount in the smbmount domain, and allow the specified role the smbmount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

samba_run_winbind_helper( domain , role )

##### Summary

Execute winbind helper in the winbind helper domain, and allow the specified role the winbind helper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

samba_rw_config( domain )

##### Summary

Read and write samba configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_rw_smbmount_tcp_sockets( domain )

##### Summary

Read and write smbmount tcp sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_rw_var_files( domain )

##### Summary

Read and write samba var files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_search_var( domain )

##### Summary

Search samba var directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_signal_nmbd( domain )

##### Summary

Send generic signals to nmbd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_signal_smbd( domain )

##### Summary

Send generic signals to smbd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_stream_connect_nmbd( domain )

##### Summary

Connect to nmbd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_stream_connect_winbind( domain )

##### Summary

Connect to winbind with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samba_write_smbmount_tcp_sockets( domain )

##### Summary

Write smbmount tcp sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return